﻿using UnityEngine;
using System.Collections;

public class GUIScript : MonoBehaviour {

    public GUISkin skin2D;

    float playTimeDisplay;
    float lightTimeDisplay;
    float speedTimeDisplay;

    int fontSize = 22;

    int[] playerDisplaySorting = new int[4];


    void Start() {
        //fontSize = globalFunctions.calcFontSize("interface"); //TODO: get screen adjusted font size
    }

    void OnGUI() {

        GUI.skin = skin2D;

        GUIStyle topGUI = GUI.skin.GetStyle("Label");
        topGUI.fontSize = fontSize;

        float percent = Screen.width * 0.01f; //1 percent
        float dispWidth = percent * 10.0f;
        float dispHeight = fontSize * 2;
        float leftMargin = percent * 10.0f;
        float topMargin = 4.0f;
        float iconMarginLeft = 38.0f;
        float iconMarginTop = 8.0f;

        //gui bars
        GUI.Box(new Rect(0, 0, Screen.width, 50), ""); //top bar bg

        //light time
        GUIStyle iconLight = GUI.skin.GetStyle("icon_light");
        GUI.Box(new Rect(leftMargin + iconMarginLeft, topMargin + iconMarginTop, 30, 30), "", iconLight); //light icon bg
        lightTimeDisplay = (Mathf.Round(globalVars.lightTimer * 10.0f) / 10.0f);
        GUI.Label(new Rect(leftMargin, topMargin, dispWidth, dispHeight), lightTimeDisplay.ToString(), topGUI);

        GUI.contentColor = new Color32(111, 208, 0, 255);
        //player ammo
        GUIStyle iconAmmo = GUI.skin.GetStyle("icon_ammo");
        GUI.Box(new Rect(leftMargin * 2 + dispWidth + iconMarginLeft, topMargin + iconMarginTop, 30, 30), "", iconAmmo); //light icon bg
        GUI.Label(new Rect(leftMargin * 2 + dispWidth, topMargin, dispWidth, dispHeight), globalVars.playerShots.ToString(), topGUI);

        GUI.contentColor = new Color32(0, 255, 181, 255);
        //player jumps
        GUIStyle iconJump = GUI.skin.GetStyle("icon_jump");
        GUI.Box(new Rect(leftMargin * 3 + dispWidth * 2 + iconMarginLeft, topMargin + iconMarginTop, 30, 30), "", iconJump); //light icon bg
        GUI.Label(new Rect(leftMargin * 3 + dispWidth * 2, topMargin, dispWidth, dispHeight), globalVars.playerJumps.ToString(), topGUI);

        //speed boost time 
        GUI.contentColor = new Color32(255, 216, 0, 255);
        GUIStyle iconSpeed = GUI.skin.GetStyle("icon_speed");
        GUI.Box(new Rect(leftMargin * 4 + dispWidth * 3 + iconMarginLeft, topMargin + iconMarginTop, 30, 30), "", iconSpeed); //light icon bg
        speedTimeDisplay = (Mathf.Round(globalVars.speedBoostTime * 10.0f) / 10.0f);
        GUI.Label(new Rect(leftMargin * 4 + dispWidth * 3, topMargin, dispWidth, dispHeight), speedTimeDisplay.ToString(), topGUI);

        GUI.contentColor = Color.white;
        //play time
        GUIStyle iconTime = GUI.skin.GetStyle("icon_time");
        GUI.Box(new Rect(leftMargin * 5 + dispWidth * 4 + iconMarginLeft, topMargin + iconMarginTop, 30, 30), "", iconTime); //light icon bg
        playTimeDisplay = (Mathf.Round(globalVars.playTime * 10.0f) / 10.0f);
        GUI.Label(new Rect(leftMargin * 5 + dispWidth * 4, topMargin, dispWidth, dispHeight), playTimeDisplay.ToString(), topGUI);

        //line 2: game messages
        GUI.Label(new Rect(leftMargin, topMargin * 2 + dispHeight, Screen.width, dispHeight), globalVars.GUImessage, topGUI);
        
    }

}


